Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet
Class ServletRequestEvent

    java.lang.Object
      java.util.EventObject
          javax.servlet.ServletRequestEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ServletRequestAttributeEvent

    public class ServletRequestEvent

extends EventObject

Events of this kind indicate lifecycle events for a ServletRequest. The source of the event is the ServletContext of this web application.

Since:
  Servlet 2.4
See Also:
  `ServletRequestListener`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ServletRequestEvent(ServletContext sc, ServletRequest request)` Construct a ServletRequestEvent for the given ServletContext and ServletRequest.

Method Summary
`ServletContext` | `getServletContext()` Returns the ServletContext of this web application.
`ServletRequest` | `getServletRequest()` Returns the ServletRequest that is changing.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServletRequestEvent

    public ServletRequestEvent(ServletContext sc,
                               ServletRequest request)

  Construct a ServletRequestEvent for the given ServletContext and ServletRequest.

  Parameters:
    `sc` - the ServletContext of the web application.
    `request` - the ServletRequest that is sending the event.

Method Detail

### getServletRequest

    public ServletRequest getServletRequest()

  Returns the ServletRequest that is changing.

### getServletContext

    public ServletContext getServletContext()

  Returns the ServletContext of this web application.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.